import { transactionErrorCodes as e } from "../../error-handling/error-codes.constants.mjs";
import { constructStealthAddressStructure as t, isValidPrivateAddress as n } from "../../functions/utils/addresses.mjs";
//#region libs/shared/common/src/data-structures/Hinkal/hinkalMultiSend.ts
var r = async (r, i, a, o) => {
	let s;
	return o && (s = o.map((r) => {
		if (!n(r)) throw Error(e.RECIPIENT_FORMAT_INCORRECT);
		return t(r);
	})), r.prooflessDeposit(i, a, s);
};
//#endregion
export { r as hinkalMultiSendPrivateRecipients };
